# dotfiles

nix flake config! this is just used on my personal computer

## users

this flake is built upon a single user system for all hosts, enforced by [`modules/user.nix`](./modules/user.nix). this makes it alot easier to make modules that use nixos and `home-manager`

for something more server oriented, check out [`nix-server`](https://git.reidlab.pink/reidlab/nix-server)

## hosts

each host should have these files:
  - `default.nix`, contains everything relating to the basic system
  - `hardware.nix`, hardware configuration.

## todo
  - multi architecture configuration ([nix-systems](https://github.com/nix-systems/nix-systems)?)
  - divide steam and gamemode?
  - hidpi and cursor size option
  - better theming for hyprlock, nwg-drawer, dunst, rofi (specifically accent for catppuccin)
  - remove battery ui in hyprlock if user isnt on laptop
  - wallpaper cycling